local world = require('world')

local groundWidth = 700
local groundHeight = 80

local ground = {}
ground.collider = world:newRectangleCollider(love.graphics.getWidth()/2 - 350, love.graphics.getHeight()/2 + 200, groundWidth, groundHeight)
ground.collider:setType('static')
ground.collider.fixture:setFriction(0.5)

function ground.draw(self)
  love.graphics.setColor(0.8, 0.8, 0.8)
  x, y = self.collider.body:getWorldPoints(self.collider.shape:getPoints())
  love.graphics.rectangle('fill', x, y, groundWidth, groundHeight)
end

return ground
