local world = require('world')
local player = require('entities/player')
local ground = require('entities/ground')


function love.load()

end

function love.draw()
  player:draw()
  ground:draw()

  --For debugging, comment out all other draw first
  --world:draw()
end

function love.update(dt)
  world:update(dt)
  player:update(dt)
end

function love.keypressed(key)
  if key == 'escape' then
    love.event.quit()
  end
end
